<?php
/**
 * Copyright © 2015 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

?>
<style type="text/css">
	.product-options-bottom .WCG4X100XXX-US-us {
		display: none;
	}
</style>
<?php /** @var $block \Magento\Catalog\Block\Product\View */ ?>

<?php $_product = $block->getProduct(); ?>
<?php $themeHelper = $this->helper('MGS\Mpanel\Helper\Data'); ?>
	
<?php if($_product->getMgsDetailTemplate() == ""): ?>
	<?php $templateLayout = $themeHelper->getStoreConfig('mpanel/product_details/product_ct_template'); ?>
<?php else: ?>
	<?php $templateLayout = $_product->getMgsDetailTemplate(); ?>
<?php endif ?>

<?php $galleryPopup = $themeHelper->getStoreConfig('mpanel/product_details/popup_gallery'); ?>
<?php $stickyMenu = $themeHelper->getStoreConfig('mgstheme/general/sticky_menu'); ?>
<?php $class = "product-detail-media"; ?>

<?php $templateLayout = 0; ?>
<input id="mgs_template_layout" type="hidden" name="mgs_template_layout" value="<?php echo $templateLayout; ?>">
<input id="galleryPopup" type="hidden" name="galleryPopup" value="<?php echo $galleryPopup; ?>">
<?php echo $block->getChildHtml('product.info.popup.gallery') ?>

<?php if ($priceAmount = $_product->getFinalPrice()):?>
	<div class="no-display price product-price"><?php echo $priceAmount; ?></div>
<?php endif;?>


		<div class="product-detail-infomation-sticky-parent">
			<div class="container">
				<div class="row">
					<div class="col-sm-4 col-xs-12<?php if($galleryPopup): ?> product-gallery-popup<?php endif ?>">
						<div class="<?php echo $class; ?>">
							<?php echo $block->getChildHtml('product.info.media.image') ?>
						</div>
					</div>
					<div class="col-sm-8 product-detail-infomation product-detail-infomation-sticky">
						<div class="product-detail-infomation-content<?php if($themeHelper->getStoreConfig('mgstheme/general/sticky_menu') && $themeHelper->getStoreConfig('mgstheme/general/header') != 'header_5'): ?> has-sticky-menu<?php endif ?>">
							<?php echo $block->getChildHtml('alert_urls') ?>
							<div class="product-info-main">

								<?php echo $block->getChildHtml('product.info.name') ?>
								<div class="mobile-item-col product-reviews-summary short">
<?php
	echo $html = $this->getLayout()->createBlock('Yotpo\Yotpo\Block\Yotpo')->setTemplate('Yotpo_Yotpo::bottomline.phtml')->toHtml();
?>
</div>

								<?php
								$productId = $_product->getId();
								$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
								$reviewFactory = $objectManager->create('Magento\Review\Model\Review');
								$product = $objectManager->create('Magento\Catalog\Model\Product')->load($productId);
								$storeManager  = $objectManager->create('\Magento\Store\Model\StoreManagerInterface');
								$storeId = $storeManager->getStore()->getStoreId();
								$reviewFactory->getEntitySummary($product, $storeId);

								$ratingSummary = $product->getRatingSummary()->getRatingSummary();
								$reviewCount = $product->getRatingSummary()->getReviewsCount();
								?>
								<?php if($ratingSummary){ ?>
								<div class="mobile-item-col product-reviews-summary short">
								    <div class="rating-summary">
								        <div title="<?php echo (int)$ratingSummary; ?>%" class="rating-result">
								            <span style="width:<?php echo (int)$ratingSummary; ?>%"><span><?php echo (int)$ratingSummary; ?>%</span></span>
								        </div>
								    </div>
								    <div class="reviews-actions">
								        <a href="#tab-label-reviews"><?php echo __('('.$reviewCount.')'); ?></a>
								    </div>
								</div>
								<?php } ?>
								<?php echo $block->getChildHtml('product.info.overview') ?>
								<div class="product-sub-infomation">
										<div class="mobile-item-col">
											<?php echo $block->getChildHtml('product.info.sku') ?>
										</div>
										<div class="mobile-item-col">
										<?php echo $block->getChildHtml('product.info.barcode') ?>
										</div>
										<div class="mobile-item-col">
										<?php echo $block->getChildHtml('product.info.compatibility') ?>
										</div>
										

							</div>

						<?php echo $block->getChildHtml('product.info.review') ?>
						<?php echo $block->getChildHtml('product.price.tier') ?>
						
						<?php echo $block->getChildHtml('product.info.price') ?>
						<?php 
						$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
						$storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
						$currentStore = $storeManager->getStore();
						$stockId = 0;
						if($currentStore->getCode() == 'us'){
							$stockId = 3;
						}
						if($currentStore->getCode() == 'uk' 
							|| $currentStore->getCode() == 'se' || $currentStore->getCode() == 'es' || $currentStore->getCode() == 'de' || $currentStore->getCode() == 'fr'){
							$stockId = 4;
						}
						if($currentStore->getCode() == 'us' || $currentStore->getCode() == 'uk' 
							|| $currentStore->getCode() == 'se' || $currentStore->getCode() == 'es' || $currentStore->getCode() == 'de' || $currentStore->getCode() == 'fr'){						

							$productAssignedToStock = $objectManager
											->create('Magento\InventoryApi\Model\IsProductAssignedToStockInterface')
											->execute($_product->getSku(), $stockId);

							
							?>
							<div class="product-info-stock-sku preorder">
							<?php if($productAssignedToStock){
									echo $block->getChildHtml('product.info.type'); 
							}else{ ?>
								<div class="product-options-bottom">
									<div id="outofstock" class="product-info-stock-sku 111" style="display: block;">
										<div class="stock unavailable" title="Availability">
											<span class="<?php echo $_product->getSku().'-'.$currentStore->getCode(); ?>">
												Sold Out
											</span>
										</div>
									</div>
								</div>
							<?php }	?>
							</div>
							<?php 
						}else{ ?>
							<div class="product-info-stock-sku preorder">
							<?php echo $block->getChildHtml('product.info.type') ?>
							</div>
						<?php }					
							
						?>	


						<?php echo $block->getChildHtml('product.info.main') ?>
						
						<?php echo $block->getChildHtml('product.info') ?>

						<?php if ($themeHelper->getStoreConfig('protabs/general/position')): ?>
						<?php echo $block->getChildHtml('product.info.details') ?>
						<?php endif?>
					</div>
						<div>
							<?php echo $block->getChildHtml('product.info.buydownloads') ?>
						</div>

				</div>
			</div>
		</div>
	</div>
</div>
	
	<?php if(!$themeHelper->getStoreConfig('protabs/general/position')): ?>
		<?php echo $block->getChildHtml('product.info.details') ?>
	<?php endif ?>
	

<script type="text/javascript">
	require([
	'jquery'
	], function(jQuery){
		(function($) {
			$(".yotpoBottomLine").on("click tap", function() {
				$("#tab-label-staticyotpo_cmsblock-title").trigger("click");
				$('html, body').animate({
					scrollTop: $("#tab-label-staticyotpo_cmsblock-title").offset().top
				}, 2000);

				
			});


			$(document).ready(function(){
				$('.product-info-main .product-reviews-summary a').click(function(event){
					event.returnValue = false;
					event.preventDefault();
					$('html, body').animate({
						scrollTop: $(".product.info.detailed").offset().top - 150
					}, 300);
					<?php if(!$themeHelper->getStoreConfig('protabs/general/type')): ?>
					if($(window).width() > 767){
						$('#tab-label-reviews-title').click();
					}else {
						$('.title-accordion.accordion-reviews').click();
					}
					<?php else: ?>
					if(!$('.title-accordion.accordion-reviews').hasClass('active')){
						$('.title-accordion.accordion-reviews').click();
					}
					<?php endif ?>
				});

				let windowView = window.outerWidth,
				mainProduct = $('.product-detail-infomation').height();
				zE('webWidget', 'show');
				if (windowView < 768) {
					$(window).scroll(function() {
			      let scrollToCart = $(this).scrollTop();
			      $('.box-tocart .fieldset').toggleClass('sticky-cart', scrollToCart > mainProduct + 100);
			      $('.box-tocart .fieldset .name-price').toggleClass('show', scrollToCart > mainProduct + 100);
			      $('.scroll-to-top').toggleClass('hide', scrollToCart > mainProduct + 100);
			      if(scrollToCart > mainProduct + 100) {
			      	zE('webWidget', 'hide');
			      }else {
			      	zE('webWidget', 'show');
			      }
			      
			    });

					$(".section-link").on("click tap", function() {
						$(this).closest(".popup-col").find(".section-pop").show();
					});
					$(".section-close").on("click tap", function() {
						$(this).closest(".popup-col").find(".section-pop").hide();
					});
				}
	

			});
		})(jQuery);
	});
</script>
